In this project we have the lambda function which reads the file from S3 bucket and put the data into dynamo db

Boto3 module is being used to get the client for S3

S3 client object is stored in a file 

An  event is being defined in S3 bucket which will trigger when we upload a csv file to S3 bucket.

get_object method is being used where we are passsing the bucketname and key as arguemnt and the response  is being store in resp variable.

Then to get the content of csv file we are passing the Body and to read the each line of csv file we are using read 

we are using for loop to go through each row.

Using table obejct we are calling the put_item and inserting data into dynamodb.

we have a role associated with lambda function csv_S3_dynamodb-role-a9xsgg3z whch have policies attached to it.
